﻿@model RentMovies.ViewModels.CustomerFormViewModel
@{
    ViewBag.Title = "New";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>New Customer</h2>
@using (Html.BeginForm("Save", "Customers"))
{
    @Html.ValidationSummary(true, "Please fix the following errors")
    <div class="form-group">
        @Html.LabelFor(c => c.Customer.Name)
        @Html.TextBoxFor(c => c.Customer.Name, new { @class = "form-control" })
        @Html.ValidationMessageFor(c => c.Customer.Name)
    </div>

    <div class="form-group">
        @Html.LabelFor(c => c.Customer.MembershipTypeId)
        @Html.DropDownListFor(c => c.Customer.MembershipTypeId, new SelectList(Model.MembershipTypes, "id", "Name"), "Select Membership Type", new { @class = "form-control" })
        @Html.ValidationMessageFor(c => c.Customer.MembershipTypeId)
    </div>

    <div class="form-group">
        @Html.LabelFor(c => c.Customer.Bithdate)
        @Html.TextBoxFor(c => c.Customer.Bithdate, "{0:d MMM yyyy}", new { @class = "form-control" })
        @Html.ValidationMessageFor(c => c.Customer.Bithdate)
    </div>

    <div class="checkbox">
        <label>
            @Html.CheckBoxFor(c => c.Customer.isSubscribedToNewsLetter) Subscribe To News Letter
        </label>
    </div>

    @Html.HiddenFor(c => c.Customer.Id)
    @Html.AntiForgeryToken()
    <button type="submit" class="btn btn-primary">Save</button>




}

@section scripts {
    @Scripts.Render("~/bundles/jqueryval")
    }

